namespace DocuMed.Core.EntityServices.Abstracts;

public interface IMedicalHistoryService : IScopedDependency
{

    public Task<bool> EditAsync(MedicalHistoryLDto template, CancellationToken cancellationToken);
    public Task<bool> AddAsync(MedicalHistoryLDto template, CancellationToken cancellationToken);
}